summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Wayne Cuddy <wcuddy@gmail.com>2019-01-24 07:56:10 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-01-24 07:56:10 +0700
commitedbbdbf3cb82d8c5e165088ac32c3da069cdca38 (patch)
treec5c7f6df623c5a9947773e9b5d537666a1a2bdb0
parent4a66a1b108afdfa38296e18e83419bc8cdee3021 (diff)
downloadslackbuilds-edbbdbf3c.tar.gz
slackbuilds-edbbdbf3c.tar.xz
network/open-isns: Added (Internet Storage Name Service).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/open-isns/README27
-rw-r--r--network/open-isns/doinst.sh16
-rw-r--r--network/open-isns/open-isns.SlackBuild117
-rw-r--r--network/open-isns/open-isns.info10
-rw-r--r--network/open-isns/rc.isnsd24
-rw-r--r--network/open-isns/rc.isnsdd24
-rw-r--r--network/open-isns/slack-desc19
7 files changed, 237 insertions, 0 deletions
diff --git a/network/open-isns/README b/network/open-isns/README
new file mode 100644
index 0000000000..6b5bfa57ea
--- /dev/null
+++ b/network/open-isns/README
@@ -0,0 +1,27 @@
+This is a partial implementation of iSNS, according to RFC4171.
+
+The distribution comprises
+
+isnsd
+This is the iSNS server, supporting persistent storage
+of registrations in a file based database.
+
+isnsadm
+A command line utility for querying the iSNS database,
+and for registering/deregistering nodes and portals
+
+isnsdd
+An iSNS Discovery Daemon, which is still very much work
+in progress. The daemon is supposed to handle all the
+bit banging and server communications required to register
+a node, its portals, and to maintain the registration.
+It is also supposed to use the iSNS State Change Notification
+framework to learn of new targets or initiators coming online,
+and inform local services (such as the iSCSI initiator daemon)
+about these changes.
+
+NOTE
+Due to a static library dependency this Slackbuild is required to
+compile the Linux Open-iSCSI Initiator (open-iscsi). It is not required
+to run the initiator, therefore it does not need to be installed unless
+you intend to use any of the ISNS components on your network.
diff --git a/network/open-isns/doinst.sh b/network/open-isns/doinst.sh
new file mode 100644
index 0000000000..a14b0d3ab9
--- /dev/null
+++ b/network/open-isns/doinst.sh
@@ -0,0 +1,16 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/isns/isnsd.conf
+config etc/isns/isnsdd.conf
+config etc/isnsisnsadm.conf
diff --git a/network/open-isns/open-isns.SlackBuild b/network/open-isns/open-isns.SlackBuild
new file mode 100644
index 0000000000..de6a2056b7
--- /dev/null
+++ b/network/open-isns/open-isns.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/sh
+
+# Slackware build script for open-isns
+
+# Copyright 2019 Wayne Cuddy USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=open-isns
+VERSION=${VERSION:-0.99}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+make install_hdrs DESTDIR=$PKG
+make install_lib DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING ChangeLog HACKING README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# These may be renamed back by doinst.sh.
+for cf in \
+ etc/isns/isnsd.conf \
+ etc/isns/isnsdd.conf \
+ etc/isns/isnsadm.conf
+do
+ mv $PKG/$cf $PKG/$cf.new
+done
+
+mkdir -p $PKG/etc/rc.d
+cp $CWD/rc.isnsd $CWD/rc.isnsdd $PKG/etc/rc.d
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/open-isns/open-isns.info b/network/open-isns/open-isns.info
new file mode 100644
index 0000000000..49ce2080f5
--- /dev/null
+++ b/network/open-isns/open-isns.info
@@ -0,0 +1,10 @@
+PRGNAM="open-isns"
+VERSION="0.99"
+HOMEPAGE="https://github.com/open-iscsi/open-isns"
+DOWNLOAD="https://github.com/open-iscsi/open-isns/archive/v0.99/open-isns-0.99.tar.gz"
+MD5SUM="512413a285c852195b6240d6a0ad7f5b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Wayne Cuddy"
+EMAIL="wcuddy@gmail.com"
diff --git a/network/open-isns/rc.isnsd b/network/open-isns/rc.isnsd
new file mode 100644
index 0000000000..7067f16f48
--- /dev/null
+++ b/network/open-isns/rc.isnsd
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# Read alternative ARGS line from /etc/default/isnsd.
+test -f /etc/default/isnsd && source /etc/default/isnsd
+
+case "$1" in
+ start)
+ echo "starting isnsd"
+ /usr/sbin/isnsd $ARGS
+ ;;
+ stop)
+ echo "stopping isnsd"
+ pkill -F /var/run/isnsd.pid
+ ;;
+ status)
+ echo "$(pgrep -c -f /usr/sbin/isnsd) isnsd process(es) running"
+ ;;
+ restart)
+ $0 stop; sleep 2; $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|status|reload|restart}"
+ ;;
+esac
diff --git a/network/open-isns/rc.isnsdd b/network/open-isns/rc.isnsdd
new file mode 100644
index 0000000000..62ea407748
--- /dev/null
+++ b/network/open-isns/rc.isnsdd
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# Read alternative ARGS line from /etc/default/isnsdd.
+test -f /etc/default/isnsdd && source /etc/default/isnsdd
+
+case "$1" in
+ start)
+ echo "starting isnsdd"
+ /usr/sbin/isnsdd $ARGS
+ ;;
+ stop)
+ echo "stopping isnsdd"
+ pkill -F /var/run/isnsdd.pid
+ ;;
+ status)
+ echo "$(pgrep -c -f /usr/sbin/isnsdd) isnsdd process(es) running"
+ ;;
+ restart)
+ $0 stop; sleep 2; $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|status|reload|restart}"
+ ;;
+esac
diff --git a/network/open-isns/slack-desc b/network/open-isns/slack-desc
new file mode 100644
index 0000000000..286c3dae91
--- /dev/null
+++ b/network/open-isns/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+open-isns: open-isns (Internet Storage Name Service)
+open-isns:
+open-isns: This is a partial implementation of the iSCSI name service
+open-isns: according to RFC4171.
+open-isns:
+open-isns: This package includes an ISNS server (isnsd), a CLI
+open-isns: (isnsadm) for interacting with the server, and a discovery
+open-isns: daemon (isnsdd).
+open-isns:
+open-isns:
+open-isns: